curl "https://api.truthlocks.com/v1/receipt-types" \
-H "X-API-Key: tl_live_..."
{
"items": [
{
"id": "a1b2c3d4-0000-0000-0000-000000000001",
"name": "payment_receipt",
"display_name": "Payment Receipt",
"version": "1.0.0",
"status": "active",
"description": "Payments, invoices, and refunds",
"schema": {
"type": "object",
"required": ["amount", "currency", "provider", "provider_reference", "subject"],
"properties": {
"amount": { "type": "integer" },
"currency": { "type": "string" },
"provider": { "type": "string" },
"provider_reference": { "type": "string" },
"subject": { "type": "string" }
}
},
"created_at": "2026-01-01T00:00:00Z"
},
{
"id": "a1b2c3d4-0000-0000-0000-000000000002",
"name": "security_event_receipt",
"display_name": "Security Event Receipt",
"version": "1.0.0",
"status": "active",
"description": "Auth events, key rotations, anomalies",
"schema": {
"type": "object",
"required": ["event_type", "severity", "subject", "outcome"],
"properties": {
"event_type": { "type": "string" },
"severity": { "type": "string" },
"subject": { "type": "string" },
"outcome": { "type": "string" }
}
},
"created_at": "2026-01-01T00:00:00Z"
}
],
"total": 5
}
curl "https://api.truthlocks.com/v1/receipt-types" \
-H "X-API-Key: tl_live_..."
{
"items": [
{
"id": "a1b2c3d4-0000-0000-0000-000000000001",
"name": "payment_receipt",
"display_name": "Payment Receipt",
"version": "1.0.0",
"status": "active",
"description": "Payments, invoices, and refunds",
"schema": {
"type": "object",
"required": ["amount", "currency", "provider", "provider_reference", "subject"],
"properties": {
"amount": { "type": "integer" },
"currency": { "type": "string" },
"provider": { "type": "string" },
"provider_reference": { "type": "string" },
"subject": { "type": "string" }
}
},
"created_at": "2026-01-01T00:00:00Z"
},
{
"id": "a1b2c3d4-0000-0000-0000-000000000002",
"name": "security_event_receipt",
"display_name": "Security Event Receipt",
"version": "1.0.0",
"status": "active",
"description": "Auth events, key rotations, anomalies",
"schema": {
"type": "object",
"required": ["event_type", "severity", "subject", "outcome"],
"properties": {
"event_type": { "type": "string" },
"severity": { "type": "string" },
"subject": { "type": "string" },
"outcome": { "type": "string" }
}
},
"created_at": "2026-01-01T00:00:00Z"
}
],
"total": 5
}
payload field when minting.
{
"items": [
{
"id": "a1b2c3d4-0000-0000-0000-000000000001",
"name": "payment_receipt",
"display_name": "Payment Receipt",
"version": "1.0.0",
"status": "active",
"description": "Payments, invoices, and refunds",
"schema": {
"type": "object",
"required": ["amount", "currency", "provider", "provider_reference", "subject"],
"properties": {
"amount": { "type": "integer" },
"currency": { "type": "string" },
"provider": { "type": "string" },
"provider_reference": { "type": "string" },
"subject": { "type": "string" }
}
},
"created_at": "2026-01-01T00:00:00Z"
},
{
"id": "a1b2c3d4-0000-0000-0000-000000000002",
"name": "security_event_receipt",
"display_name": "Security Event Receipt",
"version": "1.0.0",
"status": "active",
"description": "Auth events, key rotations, anomalies",
"schema": {
"type": "object",
"required": ["event_type", "severity", "subject", "outcome"],
"properties": {
"event_type": { "type": "string" },
"severity": { "type": "string" },
"subject": { "type": "string" },
"outcome": { "type": "string" }
}
},
"created_at": "2026-01-01T00:00:00Z"
}
],
"total": 5
}
curl "https://api.truthlocks.com/v1/receipt-types" \
-H "X-API-Key: tl_live_..."